Subject: Re: [GSoC RFC PATCH v4 0/4] repo: add new command for retrieving repository info

From: Oswald Buddenhagen <[email-masked]>
Date: Tue, 15 Jul 2025 12:34:42 +0200

On Mon, Jul 14, 2025 at 08:52:27PM -0300, Lucas Seiki Oshiro wrote:
>- Renames the command to `repo` instead of `repo-info`. All the 
>functionality
>  of `repo-info` will now be under `repo info`. The functionality of `survey`
>  will be moved to another subcommand of `git repo`.
>
this strikes me as a bad idea, given how established the `repo` tool is.

without much thinking and reading prior conversations, i'd go with 
"query", because it's a database-like metadata ... query.
the obvious followup idea would then be "meta", but that suggests that 
it isn't only a read-only command, which i think it is supposed to 
remain?